import AbstractService from './abstractService'
import AvatarModel from '@/models/avatar'
import type { IAvatar } from '@/modelTypes/IAvatar'

const paths = {
	get: '/user/settings/avatar',
	update: '/user/settings/avatar',
	create: '/user/settings/avatar/upload',
} as const

export default class AvatarService extends AbstractService<IAvatar, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data: Partial<IAvatar>) {
		return new AvatarModel(data)
	}

	useCreateInterceptor() {
		return false
	}

	create(blob) {
		return this.uploadBlob(
			this.paths.create,
			blob,
			'avatar',
			'avatar.jpg', // This fails without a file name
		)
	}
}