import CaldavTokenModel from '@/models/caldavToken'
import type {ICaldavToken} from '@/modelTypes/ICaldavToken'
import AbstractService from './abstractService'

const paths = {
	getAll: '/user/settings/token/caldav',
	create: '/user/settings/token/caldav',
	delete: '/user/settings/token/caldav/{id}',
} as const

export default class CaldavTokenService extends AbstractService<ICaldavToken, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new CaldavTokenModel(data)
	}
}