import AbstractService from './abstractService'
import LabelTask from '@/models/labelTask'
import type {ILabelTask} from '@/modelTypes/ILabelTask'

const paths = {
	create: '/tasks/{taskId}/labels',
	getAll: '/tasks/{taskId}/labels',
	delete: '/tasks/{taskId}/labels/{labelId}',
} as const

export default class LabelTaskService extends AbstractService<ILabelTask, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new LabelTask(data)
	}
}