import AbstractService from './abstractService'
import LinkShareModel from '@/models/linkShare'
import type {ILinkShare} from '@/modelTypes/ILinkShare'

const paths = {
	getAll: '/projects/{projectId}/shares',
	get: '/projects/{projectId}/shares/{id}',
	create: '/projects/{projectId}/shares',
	delete: '/projects/{projectId}/shares/{id}',
} as const

export default class LinkShareService extends AbstractService<ILinkShare, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new LinkShareModel(data)
	}
}