import AbstractService from '@/services/abstractService'
import NotificationModel from '@/models/notification'
import type {INotification} from '@/modelTypes/INotification'

const paths = {
	getAll: '/notifications',
	update: '/notifications/{id}',
} as const

export default class NotificationService extends AbstractService<INotification, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new NotificationModel(data)
	}

	beforeUpdate(model) {
		model.created = new Date(model.created).toISOString()
		model.readAt = new Date(model.readAt).toISOString()
		return model
	}
}