import AbstractService from './abstractService'
import projectDuplicateModel from '@/models/projectDuplicateModel'
import type {IProjectDuplicate} from '@/modelTypes/IProjectDuplicate'

const paths = {
	create: '/projects/{projectId}/duplicate',
} as const

export default class ProjectDuplicateService extends AbstractService<IProjectDuplicate, typeof paths> {
	constructor() {
		super(paths)
	}

	beforeCreate(model) {

		model.project = null
		return model
	}

	modelFactory(data) {
		return new projectDuplicateModel(data)
	}
}