import AbstractService from '@/services/abstractService'
import SubscriptionModel from '@/models/subscription'
import type {ISubscription} from '@/modelTypes/ISubscription'

const paths = {
	create: '/subscriptions/{entity}/{entityId}',
	delete: '/subscriptions/{entity}/{entityId}',
} as const

export default class SubscriptionService extends AbstractService<ISubscription, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new SubscriptionModel(data)
	}
}