import AbstractService from './abstractService'
import TaskAssigneeModel from '@/models/taskAssignee'
import type {ITaskAssignee} from '@/modelTypes/ITaskAssignee'

const paths = {
	create: '/tasks/{taskId}/assignees',
	delete: '/tasks/{taskId}/assignees/{userId}',
} as const

export default class TaskAssigneeService extends AbstractService<ITaskAssignee, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new TaskAssigneeModel(data)
	}
}