import AbstractService from './abstractService'
import TaskCommentModel from '@/models/taskComment'
import type {ITaskComment} from '@/modelTypes/ITaskComment'

const paths = {
	create: '/tasks/{taskId}/comments',
	getAll: '/tasks/{taskId}/comments',
	get: '/tasks/{taskId}/comments/{id}',
	update: '/tasks/{taskId}/comments/{id}',
	delete: '/tasks/{taskId}/comments/{id}',
} as const

export default class TaskCommentService extends AbstractService<ITaskComment, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new TaskCommentModel(data)
	}
}