import AbstractService from './abstractService'
import TaskRelationModel from '@/models/taskRelation'
import type {ITaskRelation} from '@/modelTypes/ITaskRelation'

const paths = {
	create: '/tasks/{taskId}/relations',
	delete: '/tasks/{taskId}/relations/{relationKind}/{otherTaskId}',
} as const

export default class TaskRelationService extends AbstractService<ITaskRelation, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new TaskRelationModel(data)
	}
}