import AbstractService from './abstractService'
import TeamModel from '@/models/team'
import type {ITeam} from '@/modelTypes/ITeam'

const paths = {
	create: '/teams',
	get: '/teams/{id}',
	getAll: '/teams',
	update: '/teams/{id}',
	delete: '/teams/{id}',
} as const

export default class TeamService extends AbstractService<ITeam, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new TeamModel(data)
	}
}