import AbstractService from './abstractService'
import TeamMemberModel from '@/models/teamMember'
import type {ITeamMember} from '@/modelTypes/ITeamMember'

const paths = {
	create: '/teams/{teamId}/members',
	delete: '/teams/{teamId}/members/{username}',
	update: '/teams/{teamId}/members/{username}/admin',
} as const

export default class TeamMemberService extends AbstractService<ITeamMember, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new TeamMemberModel(data)
	}

	beforeCreate(model) {
		model.userId = model.id // The api wants to get the user id as user_Id
		model.admin = model.admin === null ? false : model.admin
		return model
	}
}