import AbstractService from './abstractService'
import TeamProjectModel from '@/models/teamProject'
import type {ITeamProject} from '@/modelTypes/ITeamProject'
import TeamModel from '@/models/team'

const paths = {
	create: '/projects/{projectId}/teams',
	getAll: '/projects/{projectId}/teams',
	update: '/projects/{projectId}/teams/{teamId}',
	delete: '/projects/{projectId}/teams/{teamId}',
} as const

export default class TeamProjectService extends AbstractService<ITeamProject, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new TeamProjectModel(data)
	}

	modelGetAllFactory(data) {
		return new TeamModel(data)
	}
}