import AbstractService from './abstractService'
import UserNamespaceModel from '@/models/userNamespace'
import type {IUserNamespace} from '@/modelTypes/IUserNamespace'
import UserModel from '@/models/user'

const paths = {
	create: '/namespaces/{namespaceId}/users',
	getAll: '/namespaces/{namespaceId}/users',
	update: '/namespaces/{namespaceId}/users/{userId}',
	delete: '/namespaces/{namespaceId}/users/{userId}',
} as const

export default class UserNamespaceService extends AbstractService<IUserNamespace, typeof paths> {
	constructor() {
		super(paths)
	}

	modelFactory(data) {
		return new UserNamespaceModel(data)
	}

	modelGetAllFactory(data) {
		return new UserModel(data)
	}
}